# Isomorphic Style Loader for Webpack

[![NPM version](http://img.shields.io/npm/v/isomorphic-style-loader.svg?style=flat-square)](https://www.npmjs.com/package/isomorphic-style-loader)
[![NPM downloads](http://img.shields.io/npm/dm/isomorphic-style-loader.svg?style=flat-square)](https://www.npmjs.com/package/isomorphic-style-loader)
[![Build Status](http://img.shields.io/travis/kriasoft/isomorphic-style-loader/master.svg?style=flat-square)](https://travis-ci.org/kriasoft/isomorphic-style-loader)
[![Dependency Status](http://img.shields.io/david/kriasoft/isomorphic-style-loader.svg?style=flat-square)](https://david-dm.org/kriasoft/isomorphic-style-loader)
[![Chat](http://img.shields.io/badge/chat_room-%23react--starter--kit-blue.svg?style=flat-square)](https://gitter.im/kriasoft/react-starter-kit)

(early preview)

> A loader for Webpack which can inject CSS into DOM on a client,
> and pre-render critical CSS on a server.

### How to Install

```
$ npm install isomorphic-style-loader --save-dev
```

### Getting Started

Webpack configuration:

```js
{
  module: {
    loaders: [
      {
        test: /\.s?css$/,
        loader: 'isomorphic-style-loader!css-loader?modules&' +
                'localIdentName=[name]_[local]_[hash:base64:3]!postcss-loader'
      }
    ]
  }
}

```

React component:

```js
import React, { PropTypes } from 'react';
imoprt s from './MyComponent.scss';

function MyComponent(props, context) {
  context.insertCss(s);
  return (
    <div {s.root}>
      <h1 {s.title}>Hello, world!</h1>
    </div>
  );
}

MyComponent.contextTypes = { insertCss: PropTypes.func.isRequired };

export default MyComponent;
```

### Support

 * [#react-starter-kit](https://gitter.im/kriasoft/react-starter-kit) on Gitter
 * [@koistya](https://www.codementor.io/koistya) on Codementor

### License

The MIT License © Konstantin Tarkus ([@koistya](https://twitter.com/koistya))
