'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Isomorphic style loader for Webpack
 *
 * Copyright © 2015 Kriasoft, LLC. All rights reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.txt file in the root directory of this source tree.
 */

var inserted = {};

function insertCss(styles, options) {
  if (inserted[styles]) {
    return;
  }

  inserted[styles] = true;

  var elem = document.createElement('style');
  elem.setAttribute('type', 'text/css');

  if ('textContent' in elem) {
    elem.textContent = styles.toString();
  } else {
    elem.styleSheet.cssText = styles.toString();
  }

  var head = document.getElementsByTagName('head')[0];
  if (options && options.prepend) {
    head.insertBefore(elem, head.childNodes[0]);
  } else {
    head.appendChild(elem);
  }
}

exports.default = insertCss;