/**
 * Isomorphic style loader for Webpack
 *
 * Copyright © 2015 Kriasoft, LLC. All rights reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE.txt file in the root directory of this source tree.
 */

import path from 'path';
import loaderUtils from 'loader-utils';

export default function() { }

export function pitch(remainingRequest) {
  if (this.cacheable) {
    this.cacheable();
  }

  return `
    const content = require(${loaderUtils.stringifyRequest(this, '!!' + remainingRequest)});
    const insertCss = require(${loaderUtils.stringifyRequest(this, '!' + path.join(__dirname, './insertCss.js'))});
    module.exports = content.locals || {};
    module.exports._getCss = () => content.toString();
    module.exports._insertCss = insertCss.bind(null, content);
  `;
}
